Bug 432552 - Bugzilla::RPC::Bug::getBug() fails to get few IT bugs
Bugzilla::RPC::Bug::getBug() fails to get few IT bugs
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: WebService (Show other bugs)
3.6
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: Simon Green
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-12 14:46 EST by Noura El hawary
Modified: 2014-10-12 18:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-19 00:08:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Noura El hawary 2008-02-12 14:46:42 EST
The problem is that xmlrpc function
Bug.getBug() if failing to read some bugzilla bugs that were reported by
issue tracker and you got one of those bugs which is 284681. I have done
a scan on all the bugzillas that were generated by Issue Tracker which
are almost 8800 bugs and basically only 6 bugs out of that large number
are failing getBug() and will fail your script , the bugs are :
162711, 171507, 172740, 179671, 211393, 284681. 

So the problem doesn't seem like a big issue, but there is certainly
something going on, As Dave is suggesting IssueTrackers php xmlrpc lib
is somehow adding the comment in such a way that causes the getBug to
fail as it seems that SOAP::Lite thinks the header in the comment is the
real header instead of just text. We are going to fix the above bugs and
also try to find a solution to prevent this error from happening again.
Comment 1 Martin Bacovsky 2008-09-03 06:15:42 EDT
I'm not sure if this is the same issue, but bug 282611 is affected too. When I try to read it (using python xmlrpclib) I get 'not well-formed (invalid token): line 35, column 0' error.
Comment 2 David Lawrence 2008-09-16 12:55:53 EDT
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.
Comment 3 Martin Bacovsky 2008-09-16 14:01:36 EDT
Issue from comment #1 is present in version 3.2.
Comment 4 David Lawrence 2010-01-15 11:54:41 EST
Red Hat Bugzilla is now using version 3.4 of the Bugzilla codebase and
therefore this bug will need to be re-verified against the new release. With
the updated code this bug may no longer be relevant or may have been fixed in
the new code. Updating bug version to 3.4.
Comment 5 David Lawrence 2010-08-25 17:42:24 EDT
Red Hat has now upgraded to Bugzilla 3.6 and this bug will now be reassigned to that version. It would be helpful to the Bugzilla Development Team if this bug is verified to still be an issue with the latest version. If it is no longer an issue, then feel free to close, otherwise please comment that it is still a problem and we will try to address the issue as soon as we can.

Thanks
Bugzilla Development Team
Comment 7 Simon Green 2012-06-19 00:08:52 EDT
The not well formed error was fixed in Bugzilla 3.6

  -- simon

Note You need to log in before you can comment on or make changes to this bug.